menu_ac_item:
  namespace: "Organisms/TM - Menus"
  use: "@organisms/tm-menu/menu-ac-item/menu-ac-item.twig"
  label: Accordion Menu Item
  description: Accordion Menu Item.
  fields:
    lid:
      type: text
      label: Label
      description: The item id.
      preview: "_1"
    title:
      type: text
      label: Label
      description: The item label.
      preview: "News Desk"
    url:
      type: text
      label: Label
      description: The item url.
      preview: "/about-us/news-desk"
    sub_links:
      type: object
      label: Label
      description: The item children.
      preview:
      - lid: "_11"
        title: "Media Team"
        url: "/about-us/news-desk/media-team"
      - lid: "_12"
        title: "News Articles"
        url: "/about-us/news-desk/news-articles"

  settings:
    depth:
      type: textfield
      label: Depth
      default_value: 0
    in_active_trail:
      type: boolean
      label: Active trail
      default_value: false
      preview: false
    active:
      type: boolean
      label: Active link
      default_value: false
      preview: false
    expanded:
      type: boolean
      label: Expanded
      default_value: false
      preview: false
